#!/usr/bin/env python

class OCPCoordinatorConstants(object):
    # App
    app_name = 'insights-coordinator-ocp'
    version = '1.1.1'
    coordinator_parser_usage = "%prog [options]"

    # Cron
    cron_file = "/etc/insights-client/insights-coordinator-ocp.cron"
    cron_symlink = "/etc/cron.daily/insights-coordinator-ocp"
    disable_cron = False
    enable_cron = False

    # Logger
    logging_file = "insights-coordinator-ocp.log"
    logger_name = "insights-coordinator-ocp"
    log_formatter = "%(asctime)s %(levelname)s %(message)s"
    log_backup_count = 3

    # Utilities
    cleanup = True
    configure = False
    interactive = False

    # Insights specific
    insights_upload = True
    archive_only = False

    # Manager Specific
    manager_metadata_filename = 'metadata.json'

    # Hypervisor Installations
    insights_config_file = "/var/tmp/insights-client/insights-config"  # this is the file that gets read in from --from-file

    # Cluster stuff
    cluster_id_file = "/etc/insights-client/cluster-id"
    group = ""

    # Configuration File
    conf_file = "/etc/insights-client/insights-coordinator-ocp.conf"

    # Verbosity
    verbose = False
